# Class HttpConnectTimeoutException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
java.net.http.HttpTimeoutException
java.net.http.HttpConnectTimeoutException

All Implemented Interfaces:
  `Serializable`

public class HttpConnectTimeoutException extends HttpTimeoutException
Thrown when a connection, over which an `HttpRequest` is intended to be sent, is not successfully established within a specified time period.

Since:
  11
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HttpConnectTimeoutException(String message)`
  Constructs an `HttpConnectTimeoutException` with the given detail message.

- ## Method Summary

  ### Methods declared in class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### HttpConnectTimeoutException

    public HttpConnectTimeoutException(String message)
    Constructs an `HttpConnectTimeoutException` with the given detail message.
    Parameters:
      `message` - The detail message; can be `null`